using System.Collections.ObjectModel;
using Entidades;
using Modelo;

namespace Controladora
{
    public class ControladoraOrdenDeCompras : Singleton<ControladoraOrdenDeCompras>
    {
        public string Añadir(OrdenDeCompra t)
        {
            if (t == null) return "El OrdenDeCompra es nulo fallo la carga";

            return (RepositorioOrdenDeCompra.Instance.Add(t)) ? 
                $"El OrdenDeCompra {t.Id} se cargo correctamente":
                $"Fallo la carga del OrdenDeCompra {t.Id}"; 
        }

        public string Eliminar(OrdenDeCompra t)
        {
           if (t == null) return "El OrdenDeCompra es nulo fallo la carga";

            return (RepositorioOrdenDeCompra.Instance.Del(t)) ? 
                $"El OrdenDeCompra {t.Id} se Elimino correctamente":
                $"Fallo la Eliminacion del OrdenDeCompra {t.Id}";         
        }

        public string Modificar(OrdenDeCompra t)
        {
            if (t == null) return "El OrdenDeCompra es nulo fallo la carga";

            return (RepositorioOrdenDeCompra.Instance.Mod(t)) ? 
                $"El OrdenDeCompra {t.Id} se Modifico correctamente":
                $"Fallo la Modificacion del OrdenDeCompra {t.Id}";    
        }

        public ReadOnlyCollection<OrdenDeCompra> Listar()
        {
            return RepositorioOrdenDeCompra.Instance.Listar();
        }
    }
}

